Adobe Recommends Uninstalling Lightroom 1.4

March 17th, 2008

The Lightroom 1.4 update for Mac and Windows has been temporarily removed from the web site. Those Lightroom users who have installed Lightroom 1.4 should uninstall the update and install Lightroom 1.3.1.(Mac, Win) until a further update can be provided.

This decision is based on errors found in the 1.4 release. You might want to check the list of errors at before you drop back to 1.3.1.

Note: there are instructions for dropping back to 1.3.1 at lightroom Journal.

Update on Tue March 18. It’s not mentioned on or article but also broken in version 1.4 was the ability to use Lightroom plugins. This is the reason I dropped back to 1.3.1; I found that I could no longer use the LR/Enfuse plugin and I’ve already found I can’t live without it!


Share this

2 Responses to “Adobe Recommends Uninstalling Lightroom 1.4”

Trackback URI Comments RSS

Leave a Reply